> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-canton-docs-snippet-dedupe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/scan-proxy/ans-rules



## OpenAPI

````yaml /openapi/splice/validator/scan-proxy.yaml post /v0/scan-proxy/ans-rules
openapi: 3.0.0
info:
  title: Validator API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: validator
paths:
  /v0/scan-proxy/ans-rules:
    post:
      tags:
        - scan-proxy
      summary: POST /v0/scan-proxy/ans-rules
      operationId: getAnsRules
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAnsRulesRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAnsRulesResponse'
components:
  schemas:
    GetAnsRulesRequest:
      type: object
      properties:
        cached_ans_rules_contract_id:
          $ref: '#/components/schemas/ContractId'
        cached_ans_rules_domain_id:
          type: string
    GetAnsRulesResponse:
      description: |
        A contract state update of Daml template `Splice.Ans.AnsRules`.
      type: object
      properties:
        ans_rules_update:
          $ref: '#/components/schemas/MaybeCachedContractWithState'
      required:
        - ans_rules_update
    ContractId:
      type: string
    MaybeCachedContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````